API ReferenceTool Router

Execute a meta tool within a tool router session

Markdown
POST
/api/v3/tool_router/session/{session_id}/execute_meta

Executes a Devcaster meta tool (DEVCASTER_*) within a tool router session.

Authorization

ApiKeyAuth
x-api-key<token>

API key authentication

In: header

Path Parameters

session_idstring

Tool router session ID (required for public API, optional for internal - injected by middleware)

Format: toolRouterSessionId

Request Body

application/json

slugenumRequired

The unique slug identifier of the meta tool to execute

Possible values:
DEVCASTER_SEARCH_TOOLSDEVCASTER_MULTI_EXECUTE_TOOLDEVCASTER_MANAGE_CONNECTIONSDEVCASTER_WAIT_FOR_CONNECTIONSDEVCASTER_REMOTE_WORKBENCHDEVCASTER_REMOTE_BASH_TOOLDEVCASTER_GET_TOOL_SCHEMASDEVCASTER_UPSERT_RECIPEDEVCASTER_GET_RECIPE
argumentsobject

The arguments required by the meta tool

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://backend.devcaster.dev/api/v3/tool_router/session/{session_id}/execute_meta" \  -H "Content-Type: application/json" \  -d '{    "slug": "DEVCASTER_MANAGE_CONNECTIONS"  }'
{
  "data": {
    "message": "Hello, World!",
    "status": "success"
  },
  "error": "string",
  "log_id": "log_abc123xyz"
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}